Bug 12220 - favicon still missing on people.mageia.org and mirrors.mageia.org
Summary: favicon still missing on people.mageia.org and mirrors.mageia.org
Status: NEW
Alias: None
Product: Websites
Classification: Unclassified
Component: All (show other bugs)
Version: trunk
Hardware: All Linux
Priority: Normal minor
Target Milestone: ---
Assignee: Atelier Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-06 21:47 CET by Florian Hubold
Modified: 2015-01-23 11:25 CET (History)
6 users (show)

See Also:
Source RPM:
CVE:
Status comment:


Attachments

Description Florian Hubold 2014-01-06 21:47:37 CET
Description of problem:


As previously reported in
https://bugs.mageia.org/show_bug.cgi?id=92
https://bugs.mageia.org/show_bug.cgi?id=1220
https://bugs.mageia.org/show_bug.cgi?id=4885
https://bugs.mageia.org/show_bug.cgi?id=6522

favicon is missing again on the following mageia pages:

https://forums.mageia.org/en/
https://forums.mageia.org/de/

and favicon should be added to 

https://treasurer.mageia.org/
https://advisories.mageia.org/

Can this please be fixed in a way so it sticks?

Reproducible: 

Steps to Reproduce:
Comment 1 Manuel Hiebel 2014-01-06 22:02:18 CET
for forum I (as atelier) can do nothing (no access to git part)
for advisories and tresories too (no access to svn part)

CC: (none) => forums-bugs, sysadmin-bugs
Summary: favicon gone missing again :/ => favicon gone missing again on forums and treasuser, advisories:/

Comment 2 Filip Komar 2014-02-03 15:21:00 CET
For the forum is possible to insert the following line in phpbb_root/styles/prosilver/template/overall_navbar.html

<link rel="icon" type="image/png" href="/g/favicon.png" />

Of course with the correct path to favicon.

It's also possible to add navigation there. I successfully tested the following instructions on phpBB forum I administrate:
http://www.martin-truckenbrodt.com/cgi/phpBB3/viewtopic.php?f=23&t=94

I even successfully tested navigation for multiple languages from there too:
http://www.martin-truckenbrodt.com/cgi/phpBB3/viewtopic.php?f=24&t=96


I have a theory that favicon is missing in treasurer and advisories because they use js way of mognase navigation (http://nav.mageia.org/).

If I'm right the solution is duplicating line 12 in source bellow but replacing css part with favicon part like above:
http://svnweb.mageia.org/web/nav/js/source.js?view=markup

CC: (none) => filip.komar

Comment 3 Filip Komar 2014-02-04 09:47:25 CET
I already tried relative path in Javascript snippet way yesterday (http://svnweb.mageia.org/web/www/trunk/_nav/js/source.js?r1=3066&r2=3065&pathrev=3066) but it just not cut it. Some servers just don't have images on the same relative path as mognase server.

A day before Manuel tried relative path also in html way (http://svnweb.mageia.org/web/nav/lib.php?r1=3004&r2=3063&pathrev=3063). I think it doesn't work in every case for the same reason.

I'll try to use absolute path but I don't have a clear picture how would that influence browsing experience on different browsers on non mageia.org domains. Can it trigger a XSS warning?
Any idea anyone? Does anyone knows which site those are? I would like to test them as much as I can.
Comment 4 Filip Komar 2014-02-07 20:23:07 CET
It took me some time to figure out where it should be I finally committed fixes for those three:
https://people.mageia.org/
https://treasurer.mageia.org/
https://advisories.mageia.org/

Now it needs to get rebuild but that is beyond me.
Comment 5 Filip Komar 2014-02-07 21:49:35 CET
Added favicon:
http://gitweb.mageia.org/web/forums/commit/phpBB?id=9041032a261820e474e45d8005aed28c7c954b0e

and navigation:
http://gitweb.mageia.org/web/forums/commit/phpBB?id=789aa7181d7ebcca21db484a592685ecdcd75d44


After patching those two files (overall_header.html and overall_footer.html) they have to be deleted from Template cache in ACP/Styles/Templates.

For the first part one of the sysadmin is needed and for the second Forum admin so that is all I can do.
Comment 6 Florian Hubold 2014-02-11 22:01:39 CET
Dumb question, since either these changes or the changes for the banner was pushed, navbar for german forums is different as english one, also dropdown menu on the right is missing, which is present for main site www.mageia.org and it also seems to jump around.

See also screenshots:

https://forums.mageia.org/de/download/file.php?id=806&mode=view
german (different height :/ )
https://forums.mageia.org/de/download/file.php?id=807&mode=view

Will that be fixed, or is this work-in-progress?

CC: (none) => doktor5000

Comment 7 Filip Komar 2014-02-13 11:05:44 CET
Treasurer site has already been rebuild: https://treasurer.mageia.org/

So for now only people and advisories websites needs that.


(In reply to Florian Hubold from comment #6)
> ... navbar for german forums is different as english one

It seems that this was changed directly on forum servers filesystem level (maybe also in forums style db). As there is nothing in http://gitweb.mageia.org/web/forums/. My guess is that the file overall_header.html was changed and unknown source of css. Maybe there is something more somewhere else but if I don't know I can't fix it. Sorry.


> ... also dropdown 
> menu on the right is missing, which is present for main site www.mageia.org

As dropdown is intended to change language it should have been very different from that one on the main site as there is no correlation between translations there and the languages of the forums. Such a fix is not easy (at least in my eyes). I would suggest a change in overall_header.html to include links to all languages of forums. Or even simpler just a link to the subforum where the links are much more flexible and reachable to forum moderators also.


> and it (navbar) also seems to jump around.

Since navigation is added with javascript it's dynamic. There is no easy fix in my eyes for that either. I tried for an hour to find some solution. IIRC Maat had tried too. It's annoying but as I'm not exactly a css & javascript professional I can't do much more about it. At least right now.
Comment 8 Filip Komar 2014-03-19 08:17:18 CET
Fixing this bug I discovered that header
http://mirrors.mageia.org/
is obviously not running from
http://gitweb.mageia.org/software/infrastructure/mgamirrors/log/root/html/includes/header.tt
but from some svn unknown to me despite thorough search.

Fixes for favicon are here:
http://gitweb.mageia.org/software/infrastructure/mgaadvisories/tree/tmpl/head.html
http://gitweb.mageia.org/software/infrastructure/mgapeople/tree/tmpl/head.html
http://gitweb.mageia.org/software/infrastructure/mgatres/tree/tmpl/head.html

Favicon should be loaded in line 9:
svnweb.mageia.org/web/templates/bugzilla/extensions/Mageia/template/en/default/global/banner.html.tmpl?revision=2093&view=markup

Favicon should be loaded in line 237 ( <link rel="shortcut icon" href="images/favicon.ico" >):
http://svnweb.mageia.org/web/templates/bugzilla/work/global/header.html.tmpl?revision=971&view=markup

CC: (none) => atelier-bugs

Comment 9 Rémi Verschelde 2014-07-06 10:01:27 CEST
It seems the favicon is only missing on the advisories page now: https://advisories.mageia.org/

CC: (none) => remi

Comment 10 Florian Hubold 2014-10-08 21:31:27 CEST
advisories is OK now.

Noticed those with favicon missing:
https://bugs.mageia.org/
http://people.mageia.org/
Comment 11 Filip Komar 2014-10-16 15:52:26 CEST
(In reply to Florian Hubold from comment #10)
> Noticed those with favicon missing:
> https://bugs.mageia.org/

It seems that bugs.mageia.org have favicon now \o/.


(In reply to Rémi Verschelde from comment #9)
> It seems the favicon is only missing on the advisories page now:
> https://advisories.mageia.org/

There's (at least) one more site w/o: http://people.mageia.org/

I guess I'm unable to fix it with my level of coding skills /o\. See Comment 8.
Comment 12 Filip Komar 2015-01-23 11:22:55 CET
(In reply to Filip Komar from comment #8)
> Fixing this bug I discovered that header http://mirrors.mageia.org/
> is obviously not running from
> http://gitweb.mageia.org/software/infrastructure/mgamirrors/tree/root/html/
> includes/header.tt
> but from some unknown location to me despite thorough search.

Or maybe it needs to be rebuild ??? Anyone knows?
I guess same goes for http://people.mageia.org/ as this is not there yet:
http://gitweb.mageia.org/software/infrastructure/mgapeople/commit/?id=adfe3725a0b063e210943a593a42fc2cc2c7ce57


(In reply to Rémi Verschelde from comment #9)
> It seems the favicon is only missing on the advisories page now:
> https://advisories.mageia.org/

It seems fixed now.



So there are a few more to fix:
http://people.mageia.org/
http://mirrors.mageia.org/

Summary: favicon gone missing again on forums and treasuser, advisories:/ => favicon still missing on people.mageia.org and mirrors.mageia.org


Note You need to log in before you can comment on or make changes to this bug.